#include <Wire.h>
#include <VL53L0X.h>

#define stmpe1600_gauche 0x42 // LEFT
#define stmpe1600_droite 0x43 // RIGHT

VL53L0X sensorC;
VL53L0X sensorR;
VL53L0X sensorL;

void setup() {

  Serial.begin (9600);
  Wire.begin();

  Wire.beginTransmission(stmpe1600_gauche); // Setting of all the pins as OUTPUT
  Wire.write(0x14);
  Wire.write(255);
  Wire.write(0x15);
  Wire.write(255);
  Wire.endTransmission();

  Wire.beginTransmission(stmpe1600_droite);
  Wire.write(0x14);
  Wire.write(255);
  Wire.write(0x15);
  Wire.write(255);
  Wire.endTransmission();
  
  sensorC.init(); // sensor on the board
  actif('C');
  sensorC.setAddress(0x29);
  sensorC.setTimeout(500);
  sensorC.startContinuous(100);*/

  sensorR.init(); // right satellite
  actif('R');
  sensorR.setAddress(0x2A);
  sensorR.setTimeout(500);
  sensorR.startContinuous(100);

  sensorL.init(); // left satellite
  actif('L');
  sensorL.setAddress(0x28);
  sensorL.setTimeout(500);
  sensorL.startContinuous(100);*/

}

void loop() {
  actif('R');
  Serial.println(sensorR.readRangeContinuousMillimeters());

  actif('C');
  Serial.print ("sensorC = ");
  Serial.print (sensorC.getAddress());
  Serial.print ("  distance mm = ");
  Serial.println (sensorC.readRangeContinuousMillimeters());

  actif('R');
  Serial.print ("sensorR = ");
  Serial.print (sensorR.getAddress());
  Serial.print ("  distance mm = ");
  Serial.println (sensorR.readRangeContinuousMillimeters());

  actif('L');
  Serial.print ("sensorL = ");
  Serial.print(sensorL.getAddress());
  Serial.print ("  distance mm = ");
  Serial.println (sensorL.readRangeContinuousMillimeters());

  delay(2000);*/

}

void actif (char capteur) {
  switch (capteur) {
    case 'L':
      //capteur Gauche
      Wire.beginTransmission(stmpe1600_droite);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(128);
      Wire.endTransmission();

      Wire.beginTransmission(stmpe1600_gauche);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(128);
      Wire.endTransmission();

      break;

    case 'C':
      //capteur Center
      Wire.beginTransmission(stmpe1600_droite);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(192);

      Wire.beginTransmission(stmpe1600_gauche);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(0x0);
      Wire.endTransmission();

      break;

    case 'R':
      //capteur Right
      Wire.beginTransmission(stmpe1600_droite);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(64);
      Wire.endTransmission();

      Wire.beginTransmission(stmpe1600_gauche);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(128);
      Wire.endTransmission();

      break;

    case 'O':
      //all sensors are shut down
      Wire.beginTransmission(stmpe1600_droite);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(192);
      Wire.endTransmission();

      Wire.beginTransmission(stmpe1600_gauche);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(128);
      Wire.endTransmission();

      break;

      case 'I':
      //all sensors are working
      Wire.beginTransmission(stmpe1600_droite);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(0x0);
      Wire.endTransmission();

      Wire.beginTransmission(stmpe1600_gauche);
      Wire.write(0x12);
      Wire.write(0x0);
      Wire.write(0x13);
      Wire.write(0x0);
      Wire.endTransmission();

      break;



  }
}
